<template>
  <!-- 下游港口港存库实时库存页面 -->
  <div class="homeworkPath">
    <div class="top">
      <el-autocomplete
        popper-class="my-autocomplete"
        v-model="state"
        :fetch-suggestions="querySearch"
        placeholder="请输入内容"
        @select="handleSelect"
      >
      </el-autocomplete>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      state: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/wmsh/getUnloadPortStockList?apiId=158",
      },
    };
  },
  mounted() {
  },
  methods: {
    handleSelect(item) {
      console.log(item);
    },
    onclick() {
      console.log(1);
    },
    btnclick(pathId) {
      this.$router.push("/path/addHomeworkPath/" + pathId);
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 1.25rem 1.875rem;
  }
}
</style>